Index: /trunk/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- /trunk/source/Lib/TLibCommon/ContextTables.h	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/ContextTables.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -51,5 +51,5 @@
 #define NUM_SPLIT_FLAG_CTX            3       ///< number of context models for split flag
 #define NUM_SKIP_FLAG_CTX             3       ///< number of context models for skip flag
-#if NH_3D_DIS
+#if NH_3D
 #define NUM_DIS_FLAG_CTX              1
 #define NUM_DIS_TYPE_CTX              1       
@@ -162,30 +162,22 @@
 #define NUM_CU_TRANSQUANT_BYPASS_FLAG_CTX  1
 
-#if NH_3D_ARP
+#if NH_3D
 #define NUM_ARPW_CTX                  3       ///< number of context models for weighting factor index used by advanced residual prediction
-#endif
-
-#if NH_3D_IC
 #define NUM_IC_FLAG_CTX               1       ///< number of context models for illumination compensation flag
 #endif
+
 #define NUM_CROSS_COMPONENT_PREDICTION_CTX 10
 
 #define CNU                          154      ///< dummy initialization value for unused context models 'Context model Not Used'
 
-#if NH_3D_DMM
+#if NH_3D
 #define NUM_NOTDMM_FLAG_CTX           1       ///< number of context models for not-DMM flag
 #define NUM_DMM_MODE_CTX              1       ///< number of context models for DMM modes
-#endif
-#if NH_3D_DMM || NH_3D_SDC_INTRA
 #define NUM_DDC_DATA_CTX              1       ///< number of context models for deltaDC data (DMM or SDC)
-#endif
-#if NH_3D_SDC_INTRA
 #define SDC_NUM_RESIDUAL_FLAG_CTX     1
 #define SDC_NUM_RESIDUAL_CTX          1
 #define NUM_SDC_FLAG_CTX              1      ///< number of context 
 #define NUM_DDC_FLAG_CTX              2       ///< number of context models for deltaDC flag (SDC only)
-#endif
-#if NH_3D_DBBP
-#define DBBP_NUM_FLAG_CTX                 1
+#define DBBP_NUM_FLAG_CTX             1
 #endif
 // ====================================================================================================================
@@ -218,5 +210,5 @@
   { CNU,  CNU,  CNU, },
 };
-#if NH_3D_DIS
+#if NH_3D
 static const UChar 
 INIT_DIS_FLAG[3][NUM_DIS_FLAG_CTX] =  
@@ -540,5 +532,5 @@
 //! \}
 
-#if NH_3D_ARP
+#if NH_3D
 static const UChar 
 INIT_ARPW[3][NUM_ARPW_CTX] = 
@@ -549,6 +541,4 @@
 };
 
-#endif
-#if NH_3D_IC
 static const UChar 
 INIT_IC_FLAG[3][NUM_IC_FLAG_CTX] =  
@@ -559,7 +549,4 @@
 };
 
-#endif
-
-#if NH_3D_DMM
 static const UChar 
 INIT_NOTDMM_FLAG[3][NUM_NOTDMM_FLAG_CTX] =
@@ -576,6 +563,5 @@
   { CNU }
 };
-#endif
-#if NH_3D_DMM || NH_3D_SDC_INTRA
+
 static const UChar
 INIT_DDC_DATA[3][NUM_DDC_DATA_CTX] = 
@@ -585,6 +571,5 @@
   { CNU }, 
 };
-#endif
-#if NH_3D_SDC_INTRA
+
 static const UChar
 INIT_SDC_RESIDUAL_FLAG[3][SDC_NUM_RESIDUAL_FLAG_CTX] =
@@ -615,13 +600,11 @@
   {64, CNU}
 };
+static const UChar INIT_DBBP_FLAG[3][DBBP_NUM_FLAG_CTX] =
+{
+  { CNU },
+  { CNU },
+  { CNU },
+};
 #endif
-#if NH_3D_DBBP
-static const UChar INIT_DBBP_FLAG[3][DBBP_NUM_FLAG_CTX] =
-{
-  { CNU },
-  { CNU },
-  { CNU },
-};
+
 #endif
-
-#endif
Index: /trunk/source/Lib/TLibCommon/Debug.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/Debug.cpp	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/Debug.cpp	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -180,5 +180,7 @@
 
   PRINT_CONSTANT(ME_ENABLE_ROUNDING_OF_MVS,                                         settingNameWidth, settingValueWidth);
-  PRINT_CONSTANT(U0040_MODIFIED_WEIGHTEDPREDICTION_WITH_BIPRED_AND_CLIPPING,        settingNameWidth, settingValueWidth);
+#if NH_MV
+  PRINT_CONSTANT(NH_MV_ALLOW_NON_CONFORMING,                                        settingNameWidth, settingValueWidth);
+#endif
 
   //------------------------------------------------
Index: /trunk/source/Lib/TLibCommon/Debug.h
===================================================================
--- /trunk/source/Lib/TLibCommon/Debug.h	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/Debug.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
Index: /trunk/source/Lib/TLibCommon/NAL.h
===================================================================
--- /trunk/source/Lib/TLibCommon/NAL.h	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/NAL.h	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
Index: /trunk/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/SEI.cpp	(revision 1412)
+++ /trunk/source/Lib/TLibCommon/SEI.cpp	(revision 1413)
@@ -4,5 +4,5 @@
  * granted under this license.
  *
- * Copyright (c) 2010-2016, ITU/ISO/IEC
+ * Copyright (c) 2010-2017, ITU/ISO/IEC
  * All rights reserved.
  *
@@ -124,19 +124,20 @@
     case SEI::BUFFERING_PERIOD:                     return "Buffering period";
     case SEI::PICTURE_TIMING:                       return "Picture timing";
-    case SEI::PAN_SCAN_RECT:                        return "Pan-scan rectangle";                   // not currently decoded
-    case SEI::FILLER_PAYLOAD:                       return "Filler payload";                       // not currently decoded
-    case SEI::USER_DATA_REGISTERED_ITU_T_T35:       return "User data registered";                 // not currently decoded
+    case SEI::PAN_SCAN_RECT:                        return "Pan-scan rectangle";
+    case SEI::FILLER_PAYLOAD:                       return "Filler payload";
+    case SEI::USER_DATA_REGISTERED_ITU_T_T35:       return "User data registered";
     case SEI::USER_DATA_UNREGISTERED:               return "User data unregistered";
     case SEI::RECOVERY_POINT:                       return "Recovery point";
-    case SEI::SCENE_INFO:                           return "Scene information";                    // not currently decoded
-    case SEI::FULL_FRAME_SNAPSHOT:                  return "Picture snapshot";                     // not currently decoded
-    case SEI::PROGRESSIVE_REFINEMENT_SEGMENT_START: return "Progressive refinement segment start"; // not currently decoded
-    case SEI::PROGRESSIVE_REFINEMENT_SEGMENT_END:   return "Progressive refinement segment end";   // not currently decoded
-    case SEI::FILM_GRAIN_CHARACTERISTICS:           return "Film grain characteristics";           // not currently decoded
-    case SEI::POST_FILTER_HINT:                     return "Post filter hint";                     // not currently decoded
+    case SEI::SCENE_INFO:                           return "Scene information";
+    case SEI::PICTURE_SNAPSHOT:                     return "Picture snapshot";
+    case SEI::PROGRESSIVE_REFINEMENT_SEGMENT_START: return "Progressive refinement segment start";
+    case SEI::PROGRESSIVE_REFINEMENT_SEGMENT_END:   return "Progressive refinement segment end";
+    case SEI::FILM_GRAIN_CHARACTERISTICS:           return "Film grain characteristics";
+    case SEI::POST_FILTER_HINT:                     return "Post filter hint";
     case SEI::TONE_MAPPING_INFO:                    return "Tone mapping information";
     case SEI::KNEE_FUNCTION_INFO:                   return "Knee function information";
     case SEI::FRAME_PACKING:                        return "Frame packing arrangement";
     case SEI::DISPLAY_ORIENTATION:                  return "Display orientation";
+    case SEI::GREEN_METADATA:                       return "Green metadata information";
     case SEI::SOP_DESCRIPTION:                      return "Structure of pictures information";
     case SEI::ACTIVE_PARAMETER_SETS:                return "Active parameter sets";
@@ -153,10 +154,12 @@
     case SEI::CHROMA_RESAMPLING_FILTER_HINT:        return "Chroma sampling filter hint";
     case SEI::COLOUR_REMAPPING_INFO:                return "Colour remapping info";
-#if U0033_ALTERNATIVE_TRANSFER_CHARACTERISTICS_SEI
+    case SEI::DEINTERLACE_FIELD_IDENTIFICATION:     return "Deinterlace field identification";
+    case SEI::CONTENT_LIGHT_LEVEL_INFO:             return "Content light level info";
+    case SEI::DEPENDENT_RAP_INDICATION:             return "Dependent RAP indication";
+    case SEI::CODED_REGION_COMPLETION:              return "Coded region completion";
     case SEI::ALTERNATIVE_TRANSFER_CHARACTERISTICS: return "Alternative transfer characteristics";
-#endif
+    case SEI::AMBIENT_VIEWING_ENVIRONMENT:          return "Ambient viewing environment";
 
 #if NH_MV
-    case SEI::DEINTERLACED_FIELD_IDENTIFICATION:         return "Deinterlaced field identification";
     case SEI::LAYERS_NOT_PRESENT:                        return "Layers not present";
     case SEI::INTER_LAYER_CONSTRAINED_TILE_SETS:         return "Inter-layer constrained tile sets";
